Page MenuHomeFreeBSD

Fix CVE-2015-1774 in editors/openoffice-4
ClosedPublic

Authored by truckman on May 8 2015, 12:53 AM.

Details

Summary

Add a patch to fix the HWP filter vulnerability documented
in CVE-2015-1774 and
http://www.openoffice.org/security/cves/CVE-2015-1774.html

Test Plan

Build on FreeBSD 8.4, 9.3, 10.1, and 11.0-CURRENT, both amd64 and i386.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

truckman updated this revision to Diff 5268.May 8 2015, 12:53 AM
truckman retitled this revision from to Fix CVE-2015-1774 in editors/openoffice-4.
truckman updated this object.
truckman edited the test plan for this revision. (Show Details)
truckman added reviewers: mat, pfg.
mat accepted this revision.May 8 2015, 5:43 AM
mat edited edge metadata.

You seem to get the hang of things, I'd say, you have my blessing to commit things you feel familiar with with "approved by: mat (mentor, implicit)".

Don't hesitate on openning code reviews for stuff that you've never done, or are unsure :-)

This revision is now accepted and ready to land.May 8 2015, 5:43 AM
This revision was automatically updated to reflect the committed changes.